Zum Inhalt springen

FFmpeg API Metadata

Integrieren

Modell-ID ffmpeg-api/metadata
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/ffmpeg-api/metadata?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "media_url": "https://example.com/your-file.bin"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Diese Anfrage: ≈0,001 $ 1 API-Credit Auf dieser Seite ausführen

API-Schlüssel abrufen
Utility Sonstiges #ffmpeg

Liest Kodierungsmetadaten aus einer Video- oder Audiodatei und gibt sie als JSON zurück

Utility · Daten (JSON)

Dein erstes Ergebnis erscheint hier

Erstelle unten eine Anfrage und führe sie mit deinem API-Schlüssel aus. Ausgaben werden in unseren Speicher kopiert und dauerhaft oder 7 Tage kostenlos aufbewahrt.

Anfrage erstellen

Die Steuerelemente werden aus dem Modellschema generiert. Code und Preis werden aktualisiert, während du sie änderst.

•erforderlich

URL zur Analyse der Video- oder Audiodatei.

Erweitert extract_frames
POST /run/ffmpeg-api/metadata?wait=20 Preis → 0,001 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/ffmpeg-api/metadata?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "media_url": "https://example.com/your-file.bin"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Diese Anfrage ausführen

Dein Schlüssel bleibt in diesem Browser: Er wird nur an die Doitong API gesendet und nur gespeichert (localStorage), wenn du „Merken“ aktivierst. API-Schlüssel abrufen

Über FFmpeg API Metadata

Analysiert die Datei unter `media_url` und gibt ihre technischen Details als JSON-Objekt zurück. Funktioniert für Video und Audio. Setze `extract_frames` auf true, um zusätzlich den Anfangs- und Endframe eines Videos zu erfassen; dadurch wird die Anfrage langsamer.

Parameter

NameTyp StandardZulässig Beschreibung
media_urlerforderlich
Typstring
URL zur Analyse der Video- oder Audiodatei.
extract_framesoptional
Typboolean
Standardfalse
Extraktion des ersten und letzten Frames jedes Videos aktivieren, indem dieser Wert auf true gesetzt wird; dadurch wird die Anfrage langsamer verarbeitet.
erforderlich

Ausgabe

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "ffmpeg-api/metadata",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1,
    "usd": "0.001",
    "charged": 1,
    "refunded": 0
  },
  "input": {
    "media_url": "https://example.com/your-file.bin"
  },
  "output": {
    "media": {
      "media_type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200,
      "duration": 5,
      "bitrate": 1,
      "codec": "string",
      "container": "string",
      "fps": 1,
      "frame_count": 1,
      "timebase": "string",
      "resolution": {
        "aspect_ratio": "string",
        "width": 1024,
        "height": 768
      },
      "format": {
        "container": "string",
        "video_codec": "string",
        "profile": "string",
        "level": 1.0,
        "pixel_format": "string",
        "bitrate": 1
      },
      "audio": {
        "codec": "string",
        "channels": 1,
        "sample_rate": 1,
        "bitrate": 1
      },
      "start_frame_url": "string",
      "end_frame_url": "string"
    }
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Deine Dateien, deine EntscheidungJede outputs[].url ist eine Kopie in unserem Speicher: dauerhaft aufbewahrt (Abrechnung pro GB-Monat) oder 7 Tage kostenlos – je nach Kontoeinstellung oder ?storage=.
Gleiche Struktur bei jedem Modelltype, url, content_type, width, height und duration – für Bilder, Video und Audio gleichermaßen. output ist das Ergebnisobjekt des Modells.
Ausgabefelder
media
object {media_type, url, content_type, file_name, file_size, duration, bitrate, codec, container, fps, frame_count, timebase, resolution, format, audio, start_frame_url, end_frame_url} | object {media_type, url, content_type, file_name, file_size, duration, bitrate, codec, container, channels, sample_rate}Metadaten der analysierten Audio- oder Videodatei.

Weitere Modelle: Sonstiges

Für KI-Agenten: Diese Seite ist als Markdown verfügbar unter https://doitong.com/de/developers/models/ffmpeg-api/metadata.md. Alle Modelle und Anleitungen: https://doitong.com/developers/llms.txt